Reactivate CRM subscription
If your CRM subscription was not prolonged, you can instantly reactivate it through this endpoint.
If subscription billing has failed due to low balance, by default we will try to charge you again the next day. But you can manually activate your subscription and trigger charging through this endpoint. The access to your CRM will be renewed and all the configurations will be saved.
If your balance is still not enough, you will receive a 402 Payment Required error.
The id path parameter represents the unique CRM subscription plan identifier.
CRM plan IDs must be retrieved from the following endpoint: GET /api/v1/crm/subscriptions.
Each CRM plan returned by that endpoint contains a unique id field that should be used for single subscription management API calls.
Path Parameters
CRM subscription unique id
1 <= valueHeader Parameters
Your API token
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api-e.teliqon.io/api/v1/crm/subscriptions/1/reactivate" \ -H "Authorization: string"{
"code": 0,
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}